function [ all, c, ax, vx  ] = PMCC_moje(xxx)

[samples,sr] = wavread(xxx);

win = 400; 
hopfactor = 0.4;
p = 399;

samples = filter([1 -0.97], 1, samples);

hop = win*hopfactor;
Z = buffer(samples,win,win-hop);
Q = size(Z,2);
hamming_okno = hamming(win);
oknovane_ramce_all = [];
for q = 1:Q
    wind = Z(:,q);
    oknovane_ramce = hamming_okno.*wind;
    oknovane_ramce_all = [oknovane_ramce_all oknovane_ramce];
    X = oknovane_ramce_all;
end

%X = (fft(X));
XX = audspec(X, 16000, 400, 'mel', 0, 8000, 1, 1);

       
Sa_all = [];
Sp_all = [];
Sb_all = [];

for i = 1:Q,
    ramec_MVDR = XX(:,i);
    [Sa,Sb,Sp] = pmvdr_MVDR(ramec_MVDR,p);
    Sa_all = [Sa_all Sa];
Sp_all = [Sp_all Sp];
Sb_all = [Sb_all Sb];    
end


y = log(Sb_all);

c = rdct(y);

nbands = size(c,1);

c(14:nbands, :) = [];
for i = 1 : 13
           c(i, : ) = c(i, : ) - mean(c(i, : ));
end

c=c';

nf=size(c,1);
nc=13;

  vf=(4:-1:-4)/60;
  af=(1:-1:-1)/2;
  ww=ones(5,1);
  cx=[c(ww,:); c; c(nf*ww,:)];
  vx=reshape(filter(vf,1,cx(:)),nf+10,nc);
  vx(1:8,:)=[];
  ax=reshape(filter(af,1,vx(:)),nf+2,nc);
  ax(1:2,:)=[];
  vx([1 nf+2],:)=[];  
  all=[c vx ax];
  
  c=c';             %zakladne
  ax=ax';           %akceleracne
  vx=vx';           %diferencne
  all=all';         %vsetky 39
  
   subplot(411)
   
 c_idct       = idct(c, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 
 subplot(412)
 
 imagesc(c);
 axis xy
 
 


end
